$(document).ready(function(){
  $('.slider-wrapper').slick({
    slidesToShow: 1,
    dots:false,
    arrows:false,
    autoplay: true, 
    autoplaySpeed: 2000,
  });
});


// tabs
$(document).ready(function(){
	
	$('.tabs .tab').click(function(){
		var tab_id = $(this).attr('data-tab');

		$('tab').removeClass('active');
		$('.tab-content').removeClass('active');

		$(this).addClass('active');
		$("#"+tab_id).addClass('active');
	})

});

// WinGo Tabs
// $(document).ready(function () {
//   $(".WinGo__C .GameList__C-item").click(function () {
//     var tab_id = $(this).attr("data-id");

//     $(".WinGo__C .GameList__C-item").removeClass("active");
//     $(".wingoGame").removeClass("active");

//     $(this).addClass("active");
//     $("#" + tab_id).addClass("active");
//   });
// });


// WinGo Game History Tabs
$(document).ready(function () {
  $(".wingoGame .history_tabs").click(function () {
    var tab_id = $(this).attr("data-id");

    $(".wingoGame .history_tabs").removeClass("active");
    $(".GameRecord__C").removeClass("active");

    $(this).addClass("active");
    $("#" + tab_id).addClass("active");
  });
});


// jQuery Plugin: http://flaviusmatis.github.io/simplePagination.js/

var items = $(".list-wrapper .list-item");
    var numItems = items.length;
    var perPage = 10;

    items.slice(perPage).hide();

    $('#pagination-container').pagination({
        items: numItems,
        itemsOnPage: perPage,
        prevText: "&laquo;",
        nextText: "&raquo;",
        onPageClick: function (pageNumber) {
            var showFrom = perPage * (pageNumber - 1);
            var showTo = showFrom + perPage;
            items.hide().slice(showFrom, showTo).show();
        }
    });
